跳到正文
Navigation

获取指定网站使用的 PHP 版本

POST
https://your-panel.example.com:8888/site

获取指定网站当前使用的 PHP 版本及其他运行环境信息。

Request body application/x-www-form-urlencoded required

  • request_time
    string
    required

    Unix 时间戳。

  • request_token
    string
    required

    按 API 概览生成的签名。

  • action
    GetSitePHPVersion
    required

    具体操作名称。

  • siteName
    string
    required

    网站域名,如 testapi.bt.local

Returns

default

接口响应,业务状态见下方详细说明。

JSON
  • phpversion
    optional
    string

    PHP 版本号,如 85、00(纯静态)

  • tomcat
    optional
    integer

    Tomcat 状态,-1 表示未启用

  • tomcatversion
    optional
    string

    Tomcat 版本

  • nodejsversion
    optional
    string

    Node.js 版本

  • php_other
    optional
    string

    其他 PHP 配置

各操作详细说明

GetSitePHPVersionaction=GetSitePHPVersion获取指定网站使用的 PHP 版本

获取指定网站当前使用的 PHP 版本及其他运行环境信息。

  • 路由:POST /site
  • action:GetSitePHPVersion

输入参数

参数名称 必选 类型 描述
action 是 String 固定值 GetSitePHPVersion
siteName 是 String 网站域名,如 testapi.bt.local

输出参数

参数名称 类型 描述
phpversion String PHP 版本号,如 85、00(纯静态)
tomcat Integer Tomcat 状态,-1 表示未启用
tomcatversion Boolean/String Tomcat 版本
nodejsversion Boolean/String Node.js 版本
php_other String 其他 PHP 配置

示例

请求

POST /site HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

request_time=1700000000&request_token=xxx&action=GetSitePHPVersion&siteName=testapi.bt.local

响应

{
    "phpversion": "85",
    "tomcat": -1,
    "tomcatversion": false,
    "nodejsversion": false,
    "php_other": ""
}

Type to search…

↑↓ navigate↵ selectEsc close